%define name FaxMail
%define version 2.3
%define release 2mdk

Summary: A program to send faxes for free via email and the TPC system
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Networking/Mail
Source: http://wol.ra.phy.cam.ac.uk/FaxMail/%name-%version.tar.bz2
Patch0: FaxMail-2.3-misc.patch.bz2
Patch1: FaxMail-2.3-misc-nolibresolv.patch.bz2
URL: http://wol.ra.phy.cam.ac.uk/FaxMail/
Requires: tk >= 4.0, tcl >= 7.5
BuildRoot: /var/tmp/%{name}-buildroot

%description
This package contains FaxMail, a utility to assist in preparing and
sending faxes via the internet's Email-Fax gateway.  It does this
via the TPC.INT service.  See http://www.tpc.int/ for details.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
# Must link against libresolv if present (eg. pre-glibc systems)
#if { ls /lib/libresolv* > /dev/null };
#then
%patch -P 0 -p1 
#else
#%patch -P 1 -p1 
#fi     
     
%build
make 

%install
make ROOT="$RPM_BUILD_ROOT" install
find $RPM_BUILD_ROOT/usr/man -name "*.gz" -exec gunzip {} \;
find $RPM_BUILD_ROOT/usr/info -name "*.gz" -exec gunzip {} \;
find $RPM_BUILD_ROOT/usr/man -type f -exec bzip2 -9f {} \;
find $RPM_BUILD_ROOT/usr/info -type f -exec bzip2 -9f {} \;

%files
%defattr(-,root,root)
/usr/lib/FaxMail/FaxMail.tcl
/usr/lib/FaxMail/cover.lst
/usr/bin/FaxMail
/usr/bin/tryfax
/usr/man/man1/
/usr/info/
%doc COPYING FaxMail.html HISTORY README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Apr 05 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.3-2mdk
- updated groups to correct group names.

* Thu Feb 17 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- removed if statement in .spec file. Mandrake always has libresolv
 
* Mon Nov 23 1998 Matt Davey <mcdavey@mrao.cam.ac.uk>
- Upgraded to FaxMail-2.3
- Changed SRPM according to RHCN Package Requirements      
